require_relative "GeolocationCurrency"
require_relative "GeolocationTimezone"
require 'json'
class Geolocation
  attr_reader :status;
  attr_reader :message;
  attr_reader :ip;
  attr_reader :continentCode;
  attr_reader :continentName;
  attr_reader :countryCode2;
  attr_reader :countryCode3;
  attr_reader :countryName;
  attr_reader :countryCapital;
  attr_reader :stateProvince;
  attr_reader :district;
  attr_reader :city;
  attr_reader :zipCode;
  attr_reader :latitude;
  attr_reader :longitude;
  attr_reader :isEU;
  attr_reader :callingCode;
  attr_reader :countryTLD;
  attr_reader :languages;
  attr_reader :countryFlag;
  attr_reader :isp;
  attr_reader :connectionType;
  attr_reader :organization;
  attr_reader :geonameID;
  attr_reader :currency;
  attr_reader :timezone;

  def initialize(json)
    @status = json["status"].to_i;
    if @status != 200 || json["message"] != nil
      @message = json["message"].to_s;
    else
      @ip = json["ip"];
      @continentCode = json["continent_code"];
      @continentName = json["continent_name"];
      @countryCode2 = json["country_code2"];
      @countryCode3 = json["country_code3"];
      @countryName = json["country_name"];
      @countryCapital = json["country_capital"];
      @stateProvince = json["state_prov"];
      @district = json["district"];
      @city = json["city"];
      @zipcode = json["zipcode"];
      @latitude = json["latitude"];
      @longitude = json["longitude"];
      @isEU = json["is_eu"];
      @callingCode = json["calling_code"];
      @countryTLD = json["country_tld"];
      @languages = json["languages"];
      @countryFlag = json["country_flag"];
      @isp = json["isp"];
      @connectionType = json["connection_type"];
      @organization = json["organization"];
      @geonameID = json["geoname_id"];
      if(json["currency"] != nil)
        @currency = GeolocationCurrency.new(json["currency"]);
      end
      if(json["time_zone"] != nil)
        @timezone = GeolocationTimezone.new(json["time_zone"]);
      end
    end
  end
end