require_relative "TimezoneGeo"
class Timezone
  attr_reader :status;
  attr_reader :message;
  attr_reader :timezone;
  attr_reader :timezoneOffset;
  attr_reader :date;
  attr_reader :dateTime;
  attr_reader :dateTimeTxt;
  attr_reader :dateTimeWti;
  attr_reader :dateTimeYmd;
  attr_reader :dateTimeUnix;
  attr_reader :time24;
  attr_reader :time12;
  attr_reader :week;
  attr_reader :month;
  attr_reader :year;
  attr_reader :yearAbbr;
  attr_reader :isDST;
  attr_reader :dstSavings;
  attr_reader :timezoneGeo;

  def initialize(json)
    @status = json["status"].to_i;
    if @status != 200 || json["message"] != nil
      @message = json["message"].to_s;
    else
      @timezone = json["timezone"];
      @timezoneOffset = json["timezone_offset"];
      @date = json["date"];
      @dateTime = json["date_time"];
      @dateTimeTxt = json["date_time_txt"];
      @dateTimeWti = json["date_time_wti"];
      @dateTimeYmd = json["date_time_ymd"];
      @dateTimeUnix = json["date_time_unix"];
      @time24 = json["time_24"];
      @time12 = json["time_12"];
      @week = json["week"];
      @month = json["month"];
      @year = json["year"];
      @yearAbbr = json["year_abbr"];
      @isDST = json["is_dst"];
      @dstSavings = json["dst_savings"];
      if json["geo"] != nil
        @timezoneGeo = TimezoneGeo.new(json["geo"]);
      end
    end
  end
end